FontPosture (JavaFX 19)
Description: declaration: module: javafx.graphics, package: javafx.scene.text, enum: FontPosture

Module javafx.graphics
Package javafx.scene.text

# Enum Class FontPosture

java.lang.Object
java.lang.Enum<FontPosture>
javafx.scene.text.FontPosture

All Implemented Interfaces:
  `Serializable`, `Comparable<FontPosture>`, `Constable`

public enum FontPosture extends Enum<FontPosture>
Specifies whether the font is italicized

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ITALIC`
  represents italic.
  `REGULAR`
  represents regular.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FontPosture`
  `findByName(String name)`
  Returns `FontPosture` by its name.
  `static FontPosture`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FontPosture[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REGULAR

    public static final FontPosture REGULAR
    represents regular.

  - ### ITALIC

    public static final FontPosture ITALIC
    represents italic.

- ## Method Details

  - ### values

    public static FontPosture[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FontPosture valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### findByName

    public static FontPosture findByName(String name)
    Returns `FontPosture` by its name.
    Parameters:
      `name` - name of the `FontPosture`
    Returns:
      the FontPosture by its name